%define _name gupnp
%def_disable static
%def_disable gtk_doc

Name: libgupnp
Version: 0.12.7
Release: alt1

Summary: A framework for creating UPnP devices and control points
Group: System/Libraries
License: LGPLv2+
Url: http://www.gupnp.org/

Source: http://www.gupnp.org/sources/%_name/%_name-%version.tar.gz

BuildPreReq: libgssdp-devel >= 0.6
BuildRequires: libxml2-devel glib2-devel libsoup-devel libuuid-devel gtk-doc

%description
gUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The gUPnP API is intended to be easy to use, efficient and flexible.

%package devel
Summary: Development files and libraries for gUPnP
Group: Development/C
Requires: %name = %version-%release

%description devel
gUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The gUPnP API is intended to be easy to use, efficient and flexible.

This package provides files for development with gUPnP.

%package devel-doc
Summary: Development documentaion for gUPnP
Group: Development/C
BuildArch: noarch
Conflicts: %name < %version

%description devel-doc
gUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The gUPnP API is intended to be easy to use, efficient and flexible.

This package provides development documentations for gUPnP.

%prep
%setup -q -n %_name-%version

%build
%configure --disable-static \
%{?_enable_gtk_doc:--enable-gtk-doc}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_libdir/libgupnp-1.0.so.2
%_libdir/libgupnp-1.0.so.2.0.0
%_bindir/gupnp-binding-tool
%doc AUTHORS README ChangeLog

%files devel
%_libdir/pkgconfig/gupnp-1.0.pc
%_libdir/libgupnp-1.0.so
%_includedir/gupnp-1.0

%files devel-doc
%_datadir/gtk-doc/html/*

%changelog
* Mon Apr 27 2009 Yuri N. Sedunov <aris@altlinux.org> 0.12.7-alt1
- 0.12.7

* Sun Jan 18 2009 Yuri N. Sedunov <aris@altlinux.org> 0.12.5-alt1
- new version

* Fri Nov 28 2008 Yuri N. Sedunov <aris@altlinux.org> 0.12.4-alt1
- first build for Sisyphus

